Get a transaction
Getting information about an orphan transaction by its ID
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
idstringRequiredExample:
Transaction ID in the system
0f7e089d-b6f2-4ee8-9acb-e4a4db16d7f5Responses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/orphan-deposits/get-deposit
POST /api-gateway/orphan-deposits/get-deposit HTTP/1.1
Host: app.apollopayment.io
Content-Type: application/json
Accept: */*
Content-Length: 45
{
"id": "0f7e089d-b6f2-4ee8-9acb-e4a4db16d7f5"
}200Success
{
"success": true,
"response": {
"id": "61b62845-c29c-48ba-b1dc-9c65861f697d",
"organizationId": "7d3664ef-d86a-4285-a3d2-7c9936120cf9",
"orderId": "8c770e8a-b0c5-4a9f-be9f-603677c4baab",
"stage": "WITHDRAWAL",
"status": "PENDING",
"message": null,
"currency": "BUSD",
"network": "bsc",
"amount": "200",
"canWithdrawal": true,
"inTransaction": {
"addressType": "PAY_IN",
"addressId": "be5196d9-4e99-4d9a-8a2a-b8c8b53affb2",
"address": "0x00000005707Bf50EfA35a2db020eDe9Ac0780b9f",
"txId": "0x123456...",
"amount": "200",
"status": "processed"
},
"outTransactions": {
"address": "0x00000005707Bf50EfA35a2db020eDe9Ac0780b9f",
"txId": "0x123456...",
"amount": "200",
"status": "processed",
"feeAmount": "1.2",
"feeAmountUSD": "1.22",
"withdrawalId": "4042c4c5-42e3-4c22-b2db-82df333887ed",
"createdAt": "2026-01-30T11:16:59.951Z"
},
"createdAt": "2026-01-29T11:16:59.952Z"
}
}Last updated